# swagger-js-client

SwaggerJsClient - JavaScript client for swagger-js-client
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var SwaggerJsClient = require('swagger-js-client');

var api = new SwaggerJsClient.CompaniesApi()

var townId = "townId_example"; // {String} A unique identifier used to identify the town.

var companyId = "companyId_example"; // {String} A unique identifier used to identify the company.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.townsTownIdCompaniesCompanyIdCouponsGet(townId, companyId, callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost/buyborghi-api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SwaggerJsClient.CompaniesApi* | [**townsTownIdCompaniesCompanyIdCouponsGet**](docs/CompaniesApi.md#townsTownIdCompaniesCompanyIdCouponsGet) | **GET** /towns/{townId}/companies/{companyId}/coupons | Get coupons made by the company
*SwaggerJsClient.CompaniesApi* | [**townsTownIdCompaniesCompanyIdEventsGet**](docs/CompaniesApi.md#townsTownIdCompaniesCompanyIdEventsGet) | **GET** /towns/{townId}/companies/{companyId}/events | Get events organized by the company
*SwaggerJsClient.CompaniesApi* | [**townsTownIdCompaniesCompanyIdGet**](docs/CompaniesApi.md#townsTownIdCompaniesCompanyIdGet) | **GET** /towns/{townId}/companies/{companyId} | Get company's details
*SwaggerJsClient.CompaniesApi* | [**townsTownIdCompaniesGet**](docs/CompaniesApi.md#townsTownIdCompaniesGet) | **GET** /towns/{townId}/companies | Get companies related to the town
*SwaggerJsClient.CouponsApi* | [**townsTownIdCompaniesCompanyIdCouponsGet**](docs/CouponsApi.md#townsTownIdCompaniesCompanyIdCouponsGet) | **GET** /towns/{townId}/companies/{companyId}/coupons | Get coupons made by the company
*SwaggerJsClient.CouponsApi* | [**townsTownIdCouponsCouponIdGet**](docs/CouponsApi.md#townsTownIdCouponsCouponIdGet) | **GET** /towns/{townId}/coupons/{couponId} | Get coupons's details
*SwaggerJsClient.CouponsApi* | [**townsTownIdCouponsGet**](docs/CouponsApi.md#townsTownIdCouponsGet) | **GET** /towns/{townId}/coupons | Get coupons related to the town
*SwaggerJsClient.EventsApi* | [**townsTownIdCompaniesCompanyIdEventsGet**](docs/EventsApi.md#townsTownIdCompaniesCompanyIdEventsGet) | **GET** /towns/{townId}/companies/{companyId}/events | Get events organized by the company
*SwaggerJsClient.EventsApi* | [**townsTownIdEventsEventIdGet**](docs/EventsApi.md#townsTownIdEventsEventIdGet) | **GET** /towns/{townId}/events/{eventId} | Get event's details
*SwaggerJsClient.EventsApi* | [**townsTownIdEventsGet**](docs/EventsApi.md#townsTownIdEventsGet) | **GET** /towns/{townId}/events | Get events related to the town
*SwaggerJsClient.InfoApi* | [**helpGet**](docs/InfoApi.md#helpGet) | **GET** /help | Send general informations, contacts and FAQ
*SwaggerJsClient.InfoApi* | [**townsTownIdHistoricalInfosGet**](docs/InfoApi.md#townsTownIdHistoricalInfosGet) | **GET** /towns/{townId}/historicalInfos | Get historical informations about the town
*SwaggerJsClient.InfoApi* | [**townsTownIdInstitutionalInfosGet**](docs/InfoApi.md#townsTownIdInstitutionalInfosGet) | **GET** /towns/{townId}/institutionalInfos | Get institutional informations about the town
*SwaggerJsClient.PlacesApi* | [**townsTownIdPlacesGet**](docs/PlacesApi.md#townsTownIdPlacesGet) | **GET** /towns/{townId}/places | Get places related to the town
*SwaggerJsClient.PlacesApi* | [**townsTownIdPlacesPlaceIdGet**](docs/PlacesApi.md#townsTownIdPlacesPlaceIdGet) | **GET** /towns/{townId}/places/{placeId} | Get event's details
*SwaggerJsClient.PostApi* | [**reportingsPost**](docs/PostApi.md#reportingsPost) | **POST** /reportings | Send abuses and/or reports
*SwaggerJsClient.PostApi* | [**townsPost**](docs/PostApi.md#townsPost) | **POST** /towns | Add town Geo-coordinates
*SwaggerJsClient.TownsApi* | [**townsGet**](docs/TownsApi.md#townsGet) | **GET** /towns | Town list
*SwaggerJsClient.TownsApi* | [**townsPost**](docs/TownsApi.md#townsPost) | **POST** /towns | Add town Geo-coordinates
*SwaggerJsClient.TownsApi* | [**townsTownIdCompaniesCompanyIdCouponsGet**](docs/TownsApi.md#townsTownIdCompaniesCompanyIdCouponsGet) | **GET** /towns/{townId}/companies/{companyId}/coupons | Get coupons made by the company
*SwaggerJsClient.TownsApi* | [**townsTownIdCompaniesCompanyIdEventsGet**](docs/TownsApi.md#townsTownIdCompaniesCompanyIdEventsGet) | **GET** /towns/{townId}/companies/{companyId}/events | Get events organized by the company
*SwaggerJsClient.TownsApi* | [**townsTownIdCompaniesCompanyIdGet**](docs/TownsApi.md#townsTownIdCompaniesCompanyIdGet) | **GET** /towns/{townId}/companies/{companyId} | Get company's details
*SwaggerJsClient.TownsApi* | [**townsTownIdCompaniesGet**](docs/TownsApi.md#townsTownIdCompaniesGet) | **GET** /towns/{townId}/companies | Get companies related to the town
*SwaggerJsClient.TownsApi* | [**townsTownIdCouponsCouponIdGet**](docs/TownsApi.md#townsTownIdCouponsCouponIdGet) | **GET** /towns/{townId}/coupons/{couponId} | Get coupons's details
*SwaggerJsClient.TownsApi* | [**townsTownIdCouponsGet**](docs/TownsApi.md#townsTownIdCouponsGet) | **GET** /towns/{townId}/coupons | Get coupons related to the town
*SwaggerJsClient.TownsApi* | [**townsTownIdElementsGet**](docs/TownsApi.md#townsTownIdElementsGet) | **GET** /towns/{townId}/elements | Find elements of any type
*SwaggerJsClient.TownsApi* | [**townsTownIdEventsEventIdGet**](docs/TownsApi.md#townsTownIdEventsEventIdGet) | **GET** /towns/{townId}/events/{eventId} | Get event's details
*SwaggerJsClient.TownsApi* | [**townsTownIdEventsGet**](docs/TownsApi.md#townsTownIdEventsGet) | **GET** /towns/{townId}/events | Get events related to the town
*SwaggerJsClient.TownsApi* | [**townsTownIdGet**](docs/TownsApi.md#townsTownIdGet) | **GET** /towns/{townId} | Get town's details
*SwaggerJsClient.TownsApi* | [**townsTownIdPlacesGet**](docs/TownsApi.md#townsTownIdPlacesGet) | **GET** /towns/{townId}/places | Get places related to the town
*SwaggerJsClient.TownsApi* | [**townsTownIdPlacesPlaceIdGet**](docs/TownsApi.md#townsTownIdPlacesPlaceIdGet) | **GET** /towns/{townId}/places/{placeId} | Get event's details
*SwaggerJsClient.WelcomeApi* | [**welcomeGet**](docs/WelcomeApi.md#welcomeGet) | **GET** /welcome | Check if user is phisically in town


## Documentation for Models

 - [SwaggerJsClient.Company](docs/Company.md)
 - [SwaggerJsClient.Coordinates](docs/Coordinates.md)
 - [SwaggerJsClient.Coupon](docs/Coupon.md)
 - [SwaggerJsClient.Element](docs/Element.md)
 - [SwaggerJsClient.Event](docs/Event.md)
 - [SwaggerJsClient.GetTownsCompaniesIdCouponsResponse](docs/GetTownsCompaniesIdCouponsResponse.md)
 - [SwaggerJsClient.GetTownsCompaniesIdEventsResponse](docs/GetTownsCompaniesIdEventsResponse.md)
 - [SwaggerJsClient.GetTownsCompaniesIdResponse](docs/GetTownsCompaniesIdResponse.md)
 - [SwaggerJsClient.GetTownsIdCompaniesResponse](docs/GetTownsIdCompaniesResponse.md)
 - [SwaggerJsClient.GetTownsIdCouponsIdResponse](docs/GetTownsIdCouponsIdResponse.md)
 - [SwaggerJsClient.GetTownsIdCouponsResponse](docs/GetTownsIdCouponsResponse.md)
 - [SwaggerJsClient.GetTownsIdElementsResponse](docs/GetTownsIdElementsResponse.md)
 - [SwaggerJsClient.GetTownsIdEventsIdResponse](docs/GetTownsIdEventsIdResponse.md)
 - [SwaggerJsClient.GetTownsIdEventsResponse](docs/GetTownsIdEventsResponse.md)
 - [SwaggerJsClient.GetTownsIdHistoricalInfosResponse](docs/GetTownsIdHistoricalInfosResponse.md)
 - [SwaggerJsClient.GetTownsIdInstitutionalInfosResponse](docs/GetTownsIdInstitutionalInfosResponse.md)
 - [SwaggerJsClient.GetTownsIdPlacesIdResponse](docs/GetTownsIdPlacesIdResponse.md)
 - [SwaggerJsClient.GetTownsIdPlacesResponse](docs/GetTownsIdPlacesResponse.md)
 - [SwaggerJsClient.GetTownsIdResponse](docs/GetTownsIdResponse.md)
 - [SwaggerJsClient.GetTownsResponse](docs/GetTownsResponse.md)
 - [SwaggerJsClient.GetWelcomeResponse](docs/GetWelcomeResponse.md)
 - [SwaggerJsClient.HistoricalInfos](docs/HistoricalInfos.md)
 - [SwaggerJsClient.InstitutionalInfos](docs/InstitutionalInfos.md)
 - [SwaggerJsClient.Place](docs/Place.md)
 - [SwaggerJsClient.Polygon](docs/Polygon.md)
 - [SwaggerJsClient.PostReportRequest](docs/PostReportRequest.md)
 - [SwaggerJsClient.Town](docs/Town.md)


## Documentation for Authorization

 All endpoints do not require authorization.

