# BuyBorghiMobileServices.BorgoborgocategoryApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route10**](BorgoborgocategoryApi.md#route10) | **GET** /borgo/{borgo}/category/ | Cerca in tutte le categorie
[**route8**](BorgoborgocategoryApi.md#route8) | **GET** /borgo/{borgo}/category/{categoria} | Cerca in una particolare categoria Evento, Impresa, Luogo
[**route9**](BorgoborgocategoryApi.md#route9) | **GET** /borgo/{borgo}/category/Evento/{gestore} | Cerca la lista di Item organizzati da uno specifico gestore (solo per categoria Evento)


<a name="route10"></a>
# **route10**
> SearchResult route10(borgo, opts)

Cerca in tutte le categorie

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgocategoryApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var opts = { 
  'text': "text_example", // String | testo su cui basare la ricerca
  'limit': "limit_example", // String | Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10)
  'lat': "lat_example", // String | Latitudine su cui basare la ricerca
  'lon': "lon_example", // String | Longitudine su cui basare la ricerca
  'off': "off_example", // String | Offset
  'sort': "sort_example", // String | Ordinamento per data evento sort=evento o data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico)
  'raggio': "raggio_example" // String | Zona limite di ricerca dalla posizione dell'utente. Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route10(borgo, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **text** | **String**| testo su cui basare la ricerca | [optional] 
 **limit** | **String**| Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10) | [optional] 
 **lat** | **String**| Latitudine su cui basare la ricerca | [optional] 
 **lon** | **String**| Longitudine su cui basare la ricerca | [optional] 
 **off** | **String**| Offset | [optional] 
 **sort** | **String**| Ordinamento per data evento sort=evento o data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico) | [optional] 
 **raggio** | **String**| Zona limite di ricerca dalla posizione dell'utente. Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: Not defined

<a name="route8"></a>
# **route8**
> SearchResult route8(borgo, categoria, opts)

Cerca in una particolare categoria Evento, Impresa, Luogo

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgocategoryApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var categoria = "categoria_example"; // String | Categoria su cui basare la ricerca

var opts = { 
  'text': "text_example", // String | Testo su cui basare la ricerca
  'limit': "limit_example", // String | Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10)
  'lat': "lat_example", // String | Latitudine su cui basare la ricerca
  'lon': "lon_example", // String | Longitudine su cui basare la ricerca
  'off': "off_example", // String | Offset di paginazione dal quale ripartire
  'sort': "sort_example", // String | Ordinamento per data evento sort=evento,                  data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico)
  'raggio': "raggio_example" // String | Zona limite di ricerca dalla posizione dell'utente.Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route8(borgo, categoria, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **categoria** | **String**| Categoria su cui basare la ricerca | 
 **text** | **String**| Testo su cui basare la ricerca | [optional] 
 **limit** | **String**| Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10) | [optional] 
 **lat** | **String**| Latitudine su cui basare la ricerca | [optional] 
 **lon** | **String**| Longitudine su cui basare la ricerca | [optional] 
 **off** | **String**| Offset di paginazione dal quale ripartire | [optional] 
 **sort** | **String**| Ordinamento per data evento sort=evento,                  data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico) | [optional] 
 **raggio** | **String**| Zona limite di ricerca dalla posizione dell'utente.Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: Not defined

<a name="route9"></a>
# **route9**
> SearchResult route9(gestore, borgo, opts)

Cerca la lista di Item organizzati da uno specifico gestore (solo per categoria Evento)

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgocategoryApi();

var gestore = "gestore_example"; // String | ID Gestore degli eventi su cui basare la ricerca

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var opts = { 
  'text': "text_example", // String | Testo su cui basare la ricerca
  'limit': "limit_example", // String | Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10)
  'lat': "lat_example", // String | Latitudine su cui basare la ricerca
  'lon': "lon_example", // String | Longitudine su cui basare la ricerca
  'off': "off_example", // String | Offset di paginazione dal quale ripartire
  'sort': "sort_example", // String | Ordinamento per data evento sort=evento,                  data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico)
  'raggio': "raggio_example" // String | Zona limite di ricerca dalla posizione dell'utente. Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route9(gestore, borgo, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **gestore** | **String**| ID Gestore degli eventi su cui basare la ricerca | 
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **text** | **String**| Testo su cui basare la ricerca | [optional] 
 **limit** | **String**| Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10) | [optional] 
 **lat** | **String**| Latitudine su cui basare la ricerca | [optional] 
 **lon** | **String**| Longitudine su cui basare la ricerca | [optional] 
 **off** | **String**| Offset di paginazione dal quale ripartire | [optional] 
 **sort** | **String**| Ordinamento per data evento sort=evento,                  data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico) | [optional] 
 **raggio** | **String**| Zona limite di ricerca dalla posizione dell'utente. Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: Not defined

