# BuyBorghiMobileServices.BorgoborgofavouriteApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route17**](BorgoborgofavouriteApi.md#route17) | **GET** /borgo/{borgo}/favourite/ | Lista preferiti Utente
[**route18**](BorgoborgofavouriteApi.md#route18) | **POST** /borgo/{borgo}/favourite/ | Aggiungi preferito utente
[**route19**](BorgoborgofavouriteApi.md#route19) | **DELETE** /borgo/{borgo}/favourite/{page} | Rimuovi preferito ad un utente (pagina da path)


<a name="route17"></a>
# **route17**
> SearchResult route17(borgo)

Lista preferiti Utente

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofavouriteApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route17(borgo, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="route18"></a>
# **route18**
> route18(borgo, body)

Aggiungi preferito utente

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofavouriteApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var body = new BuyBorghiMobileServices.Favourite(); // Favourite | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.route18(borgo, body, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **body** | [**Favourite**](Favourite.md)|  | 

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="route19"></a>
# **route19**
> route19(borgo, page, body)

Rimuovi preferito ad un utente (pagina da path)

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofavouriteApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var page = "page_example"; // String | Pagina da rimuovere dai preferiti

var body = new BuyBorghiMobileServices.Favourite(); // Favourite | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.route19(borgo, page, body, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **page** | **String**| Pagina da rimuovere dai preferiti | 
 **body** | [**Favourite**](Favourite.md)|  | 

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

