# BuyBorghiMobileServices.BorgoborgofindApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**borgoBorgoFindBusinessGet**](BorgoborgofindApi.md#borgoBorgoFindBusinessGet) | **GET** /borgo/{borgo}/find/business | Find by Tipologia di impresa
[**borgoBorgoFindSuggestionsGet**](BorgoborgofindApi.md#borgoBorgoFindSuggestionsGet) | **GET** /borgo/{borgo}/find/suggestions | Suggeriti
[**borgoBorgoFindTagGet**](BorgoborgofindApi.md#borgoBorgoFindTagGet) | **GET** /borgo/{borgo}/find/tag | Find by Tag
[**borgoBorgoFindTitleGet**](BorgoborgofindApi.md#borgoBorgoFindTitleGet) | **GET** /borgo/{borgo}/find/{title} | Cerca per ID
[**route16**](BorgoborgofindApi.md#route16) | **GET** /borgo/{borgo}/find/ | Ricerca generica


<a name="borgoBorgoFindBusinessGet"></a>
# **borgoBorgoFindBusinessGet**
> SearchResult borgoBorgoFindBusinessGet(borgo, type, opts)

Find by Tipologia di impresa

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofindApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var type = "type_example"; // String | Tipo di business su cui basare la ricerca

var opts = { 
  'limit': "limit_example", // String | Limite risultati per pagina
  'off': "off_example", // String | Offset
  'sort': "sort_example" // String | Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.borgoBorgoFindBusinessGet(borgo, type, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **type** | **String**| Tipo di business su cui basare la ricerca | 
 **limit** | **String**| Limite risultati per pagina | [optional] 
 **off** | **String**| Offset | [optional] 
 **sort** | **String**| Ordinamento per data di ultima modifica sort=modifica (default alfabetico) | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="borgoBorgoFindSuggestionsGet"></a>
# **borgoBorgoFindSuggestionsGet**
> SearchResult borgoBorgoFindSuggestionsGet(username, borgo, opts)

Suggeriti

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofindApi();

var username = "username_example"; // String | Username su cui basare la ricerca

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var opts = { 
  'limit': "limit_example", // String | Limite risultati per pagina (default 10)
  'off': "off_example" // String | Offset
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.borgoBorgoFindSuggestionsGet(username, borgo, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **String**| Username su cui basare la ricerca | 
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **limit** | **String**| Limite risultati per pagina (default 10) | [optional] 
 **off** | **String**| Offset | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="borgoBorgoFindTagGet"></a>
# **borgoBorgoFindTagGet**
> SearchResult borgoBorgoFindTagGet(keyword, borgo, opts)

Find by Tag

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofindApi();

var keyword = "keyword_example"; // String | Keyword su cui basare la ricerca

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var opts = { 
  'limit': "limit_example", // String | Limite risultati per pagina
  'off': "off_example", // String | Offset
  'sort': "sort_example" // String | Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.borgoBorgoFindTagGet(keyword, borgo, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **keyword** | **String**| Keyword su cui basare la ricerca | 
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **limit** | **String**| Limite risultati per pagina | [optional] 
 **off** | **String**| Offset | [optional] 
 **sort** | **String**| Ordinamento per data di ultima modifica sort=modifica (default alfabetico) | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="borgoBorgoFindTitleGet"></a>
# **borgoBorgoFindTitleGet**
> SearchResult borgoBorgoFindTitleGet(title, borgo, opts)

Cerca per ID

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofindApi();

var title = "title_example"; // String | Titolo della pagina da ricercare

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var opts = { 
  'format': "format_example" // String | formato campo note raw o html (Default raw)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.borgoBorgoFindTitleGet(title, borgo, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **title** | **String**| Titolo della pagina da ricercare | 
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **format** | **String**| formato campo note raw o html (Default raw) | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="route16"></a>
# **route16**
> SearchResult route16(text, borgo, opts)

Ricerca generica

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgofindApi();

var text = "text_example"; // String | Titolo della pagina da ricercare

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var opts = { 
  'limit': "limit_example", // String | Limite risultati per pagina
  'off': "off_example", // String | Offset
  'sort': "sort_example" // String | Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route16(text, borgo, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **text** | **String**| Titolo della pagina da ricercare | 
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **limit** | **String**| Limite risultati per pagina | [optional] 
 **off** | **String**| Offset | [optional] 
 **sort** | **String**| Ordinamento per data di ultima modifica sort=modifica (default alfabetico) | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

