# BuyBorghiMobileServices.BorgoborgomapApi

All URIs are relative to *http://buyborghi.imolinfo.it/BuyBorghiApi/rest*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route22**](BorgoborgomapApi.md#route22) | **GET** /borgo/{borgo}/map/ | Elenco degli Item in un'area data dalle coordinate di input
[**route23**](BorgoborgomapApi.md#route23) | **POST** /borgo/{borgo}/map/ | Elenco degli Item in un'area data dalla lista di coordinate delle zone che coprono il percorso


<a name="route22"></a>
# **route22**
> SearchResult route22(borgo, lat1, lon1, lat2, lon2, opts)

Elenco degli Item in un'area data dalle coordinate di input

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgomapApi();

var borgo = "borgo_example"; // String | Borgo su cui basare la ricerca

var lat1 = "lat1_example"; // String | Latitudine inferiore dell'area data

var lon1 = "lon1_example"; // String | Longitudine inferiore dell'area data

var lat2 = "lat2_example"; // String | Latitudine superiore dell'area data

var lon2 = "lon2_example"; // String | Longitudine superiore dell'area data

var opts = { 
  'sort': "sort_example" // String | Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route22(borgo, lat1, lon1, lat2, lon2, opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**| Borgo su cui basare la ricerca | 
 **lat1** | **String**| Latitudine inferiore dell'area data | 
 **lon1** | **String**| Longitudine inferiore dell'area data | 
 **lat2** | **String**| Latitudine superiore dell'area data | 
 **lon2** | **String**| Longitudine superiore dell'area data | 
 **sort** | **String**| Ordinamento per data di ultima modifica sort=modifica (default alfabetico) | [optional] 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="route23"></a>
# **route23**
> SearchResult route23(borgo, body)

Elenco degli Item in un'area data dalla lista di coordinate delle zone che coprono il percorso

### Example
```javascript
var BuyBorghiMobileServices = require('buy_borghi_mobile_services');

var apiInstance = new BuyBorghiMobileServices.BorgoborgomapApi();

var borgo = "borgo_example"; // String | 

var body = new BuyBorghiMobileServices.Points(); // Points | 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.route23(borgo, body, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **borgo** | **String**|  | 
 **body** | [**Points**](Points.md)|  | 

### Return type

[**SearchResult**](SearchResult.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

