# SwaggerJsClient.CompaniesApi

All URIs are relative to *https://localhost/buyborghi-api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**townsTownIdCompaniesCompanyIdCouponsGet**](CompaniesApi.md#townsTownIdCompaniesCompanyIdCouponsGet) | **GET** /towns/{townId}/companies/{companyId}/coupons | Get coupons made by the company
[**townsTownIdCompaniesCompanyIdEventsGet**](CompaniesApi.md#townsTownIdCompaniesCompanyIdEventsGet) | **GET** /towns/{townId}/companies/{companyId}/events | Get events organized by the company
[**townsTownIdCompaniesCompanyIdGet**](CompaniesApi.md#townsTownIdCompaniesCompanyIdGet) | **GET** /towns/{townId}/companies/{companyId} | Get company's details
[**townsTownIdCompaniesGet**](CompaniesApi.md#townsTownIdCompaniesGet) | **GET** /towns/{townId}/companies | Get companies related to the town


<a name="townsTownIdCompaniesCompanyIdCouponsGet"></a>
# **townsTownIdCompaniesCompanyIdCouponsGet**
> GetTownsCompaniesIdCouponsResponse townsTownIdCompaniesCompanyIdCouponsGet(townId, companyId)

Get coupons made by the company



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.CompaniesApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.

var companyId = "companyId_example"; // String | A unique identifier used to identify the company.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdCompaniesCompanyIdCouponsGet(townId, companyId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 
 **companyId** | **String**| A unique identifier used to identify the company. | 

### Return type

[**GetTownsCompaniesIdCouponsResponse**](GetTownsCompaniesIdCouponsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdCompaniesCompanyIdEventsGet"></a>
# **townsTownIdCompaniesCompanyIdEventsGet**
> GetTownsCompaniesIdEventsResponse townsTownIdCompaniesCompanyIdEventsGet(townId, companyId)

Get events organized by the company



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.CompaniesApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.

var companyId = "companyId_example"; // String | A unique identifier used to identify the company.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdCompaniesCompanyIdEventsGet(townId, companyId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 
 **companyId** | **String**| A unique identifier used to identify the company. | 

### Return type

[**GetTownsCompaniesIdEventsResponse**](GetTownsCompaniesIdEventsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdCompaniesCompanyIdGet"></a>
# **townsTownIdCompaniesCompanyIdGet**
> GetTownsCompaniesIdResponse townsTownIdCompaniesCompanyIdGet(townId, companyId)

Get company's details



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.CompaniesApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.

var companyId = "companyId_example"; // String | A unique identifier used to identify the company.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdCompaniesCompanyIdGet(townId, companyId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 
 **companyId** | **String**| A unique identifier used to identify the company. | 

### Return type

[**GetTownsCompaniesIdResponse**](GetTownsCompaniesIdResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdCompaniesGet"></a>
# **townsTownIdCompaniesGet**
> GetTownsIdCompaniesResponse townsTownIdCompaniesGet(townId)

Get companies related to the town



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.CompaniesApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdCompaniesGet(townId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 

### Return type

[**GetTownsIdCompaniesResponse**](GetTownsIdCompaniesResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

