# SwaggerJsClient.EventsApi

All URIs are relative to *https://localhost/buyborghi-api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**townsTownIdCompaniesCompanyIdEventsGet**](EventsApi.md#townsTownIdCompaniesCompanyIdEventsGet) | **GET** /towns/{townId}/companies/{companyId}/events | Get events organized by the company
[**townsTownIdEventsEventIdGet**](EventsApi.md#townsTownIdEventsEventIdGet) | **GET** /towns/{townId}/events/{eventId} | Get event's details
[**townsTownIdEventsGet**](EventsApi.md#townsTownIdEventsGet) | **GET** /towns/{townId}/events | Get events related to the town


<a name="townsTownIdCompaniesCompanyIdEventsGet"></a>
# **townsTownIdCompaniesCompanyIdEventsGet**
> GetTownsCompaniesIdEventsResponse townsTownIdCompaniesCompanyIdEventsGet(townId, companyId)

Get events organized by the company



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.EventsApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.

var companyId = "companyId_example"; // String | A unique identifier used to identify the company.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdCompaniesCompanyIdEventsGet(townId, companyId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 
 **companyId** | **String**| A unique identifier used to identify the company. | 

### Return type

[**GetTownsCompaniesIdEventsResponse**](GetTownsCompaniesIdEventsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdEventsEventIdGet"></a>
# **townsTownIdEventsEventIdGet**
> GetTownsIdEventsIdResponse townsTownIdEventsEventIdGet(townId, eventId)

Get event's details



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.EventsApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.

var eventId = "eventId_example"; // String | A unique identifier used to identify the event.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdEventsEventIdGet(townId, eventId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 
 **eventId** | **String**| A unique identifier used to identify the event. | 

### Return type

[**GetTownsIdEventsIdResponse**](GetTownsIdEventsIdResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdEventsGet"></a>
# **townsTownIdEventsGet**
> GetTownsIdEventsResponse townsTownIdEventsGet(townId)

Get events related to the town



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.EventsApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdEventsGet(townId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 

### Return type

[**GetTownsIdEventsResponse**](GetTownsIdEventsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

