# SwaggerJsClient.InfoApi

All URIs are relative to *https://localhost/buyborghi-api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**helpGet**](InfoApi.md#helpGet) | **GET** /help | Send general informations, contacts and FAQ
[**townsTownIdHistoricalInfosGet**](InfoApi.md#townsTownIdHistoricalInfosGet) | **GET** /towns/{townId}/historicalInfos | Get historical informations about the town
[**townsTownIdInstitutionalInfosGet**](InfoApi.md#townsTownIdInstitutionalInfosGet) | **GET** /towns/{townId}/institutionalInfos | Get institutional informations about the town


<a name="helpGet"></a>
# **helpGet**
> PostReportRequest helpGet()

Send general informations, contacts and FAQ



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.InfoApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.helpGet(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**PostReportRequest**](PostReportRequest.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdHistoricalInfosGet"></a>
# **townsTownIdHistoricalInfosGet**
> GetTownsIdHistoricalInfosResponse townsTownIdHistoricalInfosGet(townId)

Get historical informations about the town



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.InfoApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdHistoricalInfosGet(townId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 

### Return type

[**GetTownsIdHistoricalInfosResponse**](GetTownsIdHistoricalInfosResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdInstitutionalInfosGet"></a>
# **townsTownIdInstitutionalInfosGet**
> GetTownsIdInstitutionalInfosResponse townsTownIdInstitutionalInfosGet(townId)

Get institutional informations about the town



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.InfoApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdInstitutionalInfosGet(townId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 

### Return type

[**GetTownsIdInstitutionalInfosResponse**](GetTownsIdInstitutionalInfosResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

