# SwaggerJsClient.PlacesApi

All URIs are relative to *https://localhost/buyborghi-api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**townsTownIdPlacesGet**](PlacesApi.md#townsTownIdPlacesGet) | **GET** /towns/{townId}/places | Get places related to the town
[**townsTownIdPlacesPlaceIdGet**](PlacesApi.md#townsTownIdPlacesPlaceIdGet) | **GET** /towns/{townId}/places/{placeId} | Get event's details


<a name="townsTownIdPlacesGet"></a>
# **townsTownIdPlacesGet**
> GetTownsIdPlacesResponse townsTownIdPlacesGet(townId)

Get places related to the town



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.PlacesApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdPlacesGet(townId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 

### Return type

[**GetTownsIdPlacesResponse**](GetTownsIdPlacesResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="townsTownIdPlacesPlaceIdGet"></a>
# **townsTownIdPlacesPlaceIdGet**
> GetTownsIdPlacesIdResponse townsTownIdPlacesPlaceIdGet(townId, placeId)

Get event's details



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.PlacesApi();

var townId = "townId_example"; // String | A unique identifier used to identify the town.

var placeId = "placeId_example"; // String | A unique identifier used to identify the place.


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsTownIdPlacesPlaceIdGet(townId, placeId, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **townId** | **String**| A unique identifier used to identify the town. | 
 **placeId** | **String**| A unique identifier used to identify the place. | 

### Return type

[**GetTownsIdPlacesIdResponse**](GetTownsIdPlacesIdResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

