# SwaggerJsClient.PostApi

All URIs are relative to *https://localhost/buyborghi-api/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**reportingsPost**](PostApi.md#reportingsPost) | **POST** /reportings | Send abuses and/or reports
[**townsPost**](PostApi.md#townsPost) | **POST** /towns | Add town Geo-coordinates


<a name="reportingsPost"></a>
# **reportingsPost**
> reportingsPost(opts)

Send abuses and/or reports



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.PostApi();

var opts = { 
  'body': new SwaggerJsClient.Coordinates() // Coordinates | 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.reportingsPost(opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Coordinates**](Coordinates.md)|  | [optional] 

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: Not defined

<a name="townsPost"></a>
# **townsPost**
> GetTownsResponse townsPost(opts)

Add town Geo-coordinates



### Example
```javascript
var SwaggerJsClient = require('swagger-js-client');

var apiInstance = new SwaggerJsClient.PostApi();

var opts = { 
  'body': new SwaggerJsClient.Polygon() // Polygon | 
};

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
apiInstance.townsPost(opts, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Polygon**](Polygon.md)|  | [optional] 

### Return type

[**GetTownsResponse**](GetTownsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

