/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/BorgoResult', 'model/IsUserInTown', 'model/Poligono'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/BorgoResult'), require('../model/IsUserInTown'), require('../model/Poligono'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.BorgoApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.BorgoResult, root.BuyBorghiMobileServices.IsUserInTown, root.BuyBorghiMobileServices.Poligono);
  }
}(this, function(ApiClient, BorgoResult, IsUserInTown, Poligono) {
  'use strict';

  /**
   * Borgo service.
   * @module api/BorgoApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new BorgoApi. 
   * @alias module:api/BorgoApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the borgoMypositionGet operation.
     * @callback module:api/BorgoApi~borgoMypositionGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/IsUserInTown} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Indica se l'utente si trova all'interno del borgo oppure no
     * @param {Object} opts Optional parameters
     * @param {String} opts.lat Latitudine su cui basare la ricerca
     * @param {String} opts.lon Longitudine su cui basare la ricerca
     * @param {module:api/BorgoApi~borgoMypositionGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/IsUserInTown}
     */
    this.borgoMypositionGet = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'lat': opts['lat'],
        'lon': opts['lon'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = [];
      var returnType = IsUserInTown;

      return this.apiClient.callApi(
        '/borgo/myposition', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route6 operation.
     * @callback module:api/BorgoApi~route6Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:model/Poligono} body 
     * @param {module:api/BorgoApi~route6Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.route6 = function(body, callback) {
      var postBody = body;

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling route6");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/borgo/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route7 operation.
     * @callback module:api/BorgoApi~route7Callback
     * @param {String} error Error message, if any.
     * @param {module:model/BorgoResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * @param {module:api/BorgoApi~route7Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/BorgoResult}
     */
    this.route7 = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = BorgoResult;

      return this.apiClient.callApi(
        '/borgo/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
