/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/SearchResult'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/SearchResult'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.BorgoborgocategoryApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.SearchResult);
  }
}(this, function(ApiClient, SearchResult) {
  'use strict';

  /**
   * Borgoborgocategory service.
   * @module api/BorgoborgocategoryApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new BorgoborgocategoryApi. 
   * @alias module:api/BorgoborgocategoryApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the route10 operation.
     * @callback module:api/BorgoborgocategoryApi~route10Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Cerca in tutte le categorie
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {String} opts.text testo su cui basare la ricerca
     * @param {String} opts.limit Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10)
     * @param {String} opts.lat Latitudine su cui basare la ricerca
     * @param {String} opts.lon Longitudine su cui basare la ricerca
     * @param {String} opts.off Offset
     * @param {module:model/String} opts.sort Ordinamento per data evento sort=evento o data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico)
     * @param {String} opts.raggio Zona limite di ricerca dalla posizione dell'utente. Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza
     * @param {module:api/BorgoborgocategoryApi~route10Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route10 = function(borgo, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route10");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
        'text': opts['text'],
        'limit': opts['limit'],
        'lat': opts['lat'],
        'lon': opts['lon'],
        'off': opts['off'],
        'sort': opts['sort'],
        'raggio': opts['raggio'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = [];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/category/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route8 operation.
     * @callback module:api/BorgoborgocategoryApi~route8Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Cerca in una particolare categoria Evento, Impresa, Luogo
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {module:model/String} categoria Categoria su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {String} opts.text Testo su cui basare la ricerca
     * @param {String} opts.limit Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10)
     * @param {String} opts.lat Latitudine su cui basare la ricerca
     * @param {String} opts.lon Longitudine su cui basare la ricerca
     * @param {String} opts.off Offset di paginazione dal quale ripartire
     * @param {module:model/String} opts.sort Ordinamento per data evento sort=evento,                  data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico)
     * @param {String} opts.raggio Zona limite di ricerca dalla posizione dell'utente.Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza
     * @param {module:api/BorgoborgocategoryApi~route8Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route8 = function(borgo, categoria, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route8");
      }

      // verify the required parameter 'categoria' is set
      if (categoria === undefined || categoria === null) {
        throw new Error("Missing the required parameter 'categoria' when calling route8");
      }


      var pathParams = {
        'borgo': borgo,
        'categoria': categoria
      };
      var queryParams = {
        'text': opts['text'],
        'limit': opts['limit'],
        'lat': opts['lat'],
        'lon': opts['lon'],
        'off': opts['off'],
        'sort': opts['sort'],
        'raggio': opts['raggio'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = [];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/category/{categoria}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route9 operation.
     * @callback module:api/BorgoborgocategoryApi~route9Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Cerca la lista di Item organizzati da uno specifico gestore (solo per categoria Evento)
     * @param {String} gestore ID Gestore degli eventi su cui basare la ricerca
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {String} opts.text Testo su cui basare la ricerca
     * @param {String} opts.limit Limite risultati per pagina (default 3 se 'lat' e 'lon' valorizzati, altrimenti 10)
     * @param {String} opts.lat Latitudine su cui basare la ricerca
     * @param {String} opts.lon Longitudine su cui basare la ricerca
     * @param {String} opts.off Offset di paginazione dal quale ripartire
     * @param {module:model/String} opts.sort Ordinamento per data evento sort=evento,                  data di ultima modifica sort=modifica o per distanza sort=distanza (default alfabetico)
     * @param {String} opts.raggio Zona limite di ricerca dalla posizione dell'utente. Valore specificato in metri (es. 2km = 2000, a default 200). Valore non considerato se i risultati non sono ordinati per distanza
     * @param {module:api/BorgoborgocategoryApi~route9Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route9 = function(gestore, borgo, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'gestore' is set
      if (gestore === undefined || gestore === null) {
        throw new Error("Missing the required parameter 'gestore' when calling route9");
      }

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route9");
      }


      var pathParams = {
        'gestore': gestore,
        'borgo': borgo
      };
      var queryParams = {
        'text': opts['text'],
        'limit': opts['limit'],
        'lat': opts['lat'],
        'lon': opts['lon'],
        'off': opts['off'],
        'sort': opts['sort'],
        'raggio': opts['raggio'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = [];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/category/Evento/{gestore}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
