/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Favourite', 'model/SearchResult'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Favourite'), require('../model/SearchResult'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.BorgoborgofavouriteApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.Favourite, root.BuyBorghiMobileServices.SearchResult);
  }
}(this, function(ApiClient, Favourite, SearchResult) {
  'use strict';

  /**
   * Borgoborgofavourite service.
   * @module api/BorgoborgofavouriteApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new BorgoborgofavouriteApi. 
   * @alias module:api/BorgoborgofavouriteApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the route17 operation.
     * @callback module:api/BorgoborgofavouriteApi~route17Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Lista preferiti Utente
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {module:api/BorgoborgofavouriteApi~route17Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route17 = function(borgo, callback) {
      var postBody = null;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route17");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/favourite/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route18 operation.
     * @callback module:api/BorgoborgofavouriteApi~route18Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Aggiungi preferito utente
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {module:model/Favourite} body 
     * @param {module:api/BorgoborgofavouriteApi~route18Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.route18 = function(borgo, body, callback) {
      var postBody = body;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route18");
      }

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling route18");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/borgo/{borgo}/favourite/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route19 operation.
     * @callback module:api/BorgoborgofavouriteApi~route19Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Rimuovi preferito ad un utente (pagina da path)
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {String} page Pagina da rimuovere dai preferiti
     * @param {module:model/Favourite} body 
     * @param {module:api/BorgoborgofavouriteApi~route19Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.route19 = function(borgo, page, body, callback) {
      var postBody = body;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route19");
      }

      // verify the required parameter 'page' is set
      if (page === undefined || page === null) {
        throw new Error("Missing the required parameter 'page' when calling route19");
      }

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling route19");
      }


      var pathParams = {
        'borgo': borgo,
        'page': page
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/borgo/{borgo}/favourite/{page}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
