/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/SearchResult'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/SearchResult'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.BorgoborgofindApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.SearchResult);
  }
}(this, function(ApiClient, SearchResult) {
  'use strict';

  /**
   * Borgoborgofind service.
   * @module api/BorgoborgofindApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new BorgoborgofindApi. 
   * @alias module:api/BorgoborgofindApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the borgoBorgoFindBusinessGet operation.
     * @callback module:api/BorgoborgofindApi~borgoBorgoFindBusinessGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Find by Tipologia di impresa
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {String} type Tipo di business su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina
     * @param {String} opts.off Offset
     * @param {module:model/String} opts.sort Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
     * @param {module:api/BorgoborgofindApi~borgoBorgoFindBusinessGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.borgoBorgoFindBusinessGet = function(borgo, type, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling borgoBorgoFindBusinessGet");
      }

      // verify the required parameter 'type' is set
      if (type === undefined || type === null) {
        throw new Error("Missing the required parameter 'type' when calling borgoBorgoFindBusinessGet");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
        'type': type,
        'limit': opts['limit'],
        'off': opts['off'],
        'sort': opts['sort'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/find/business', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the borgoBorgoFindSuggestionsGet operation.
     * @callback module:api/BorgoborgofindApi~borgoBorgoFindSuggestionsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Suggeriti
     * @param {String} username Username su cui basare la ricerca
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina (default 10)
     * @param {String} opts.off Offset
     * @param {module:api/BorgoborgofindApi~borgoBorgoFindSuggestionsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.borgoBorgoFindSuggestionsGet = function(username, borgo, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'username' is set
      if (username === undefined || username === null) {
        throw new Error("Missing the required parameter 'username' when calling borgoBorgoFindSuggestionsGet");
      }

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling borgoBorgoFindSuggestionsGet");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
        'username': username,
        'limit': opts['limit'],
        'off': opts['off'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/find/suggestions', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the borgoBorgoFindTagGet operation.
     * @callback module:api/BorgoborgofindApi~borgoBorgoFindTagGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Find by Tag
     * @param {String} keyword Keyword su cui basare la ricerca
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina
     * @param {String} opts.off Offset
     * @param {module:model/String} opts.sort Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
     * @param {module:api/BorgoborgofindApi~borgoBorgoFindTagGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.borgoBorgoFindTagGet = function(keyword, borgo, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'keyword' is set
      if (keyword === undefined || keyword === null) {
        throw new Error("Missing the required parameter 'keyword' when calling borgoBorgoFindTagGet");
      }

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling borgoBorgoFindTagGet");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
        'keyword': keyword,
        'limit': opts['limit'],
        'off': opts['off'],
        'sort': opts['sort'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/find/tag', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the borgoBorgoFindTitleGet operation.
     * @callback module:api/BorgoborgofindApi~borgoBorgoFindTitleGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Cerca per ID
     * @param {String} title Titolo della pagina da ricercare
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {module:model/String} opts.format formato campo note raw o html (Default raw)
     * @param {module:api/BorgoborgofindApi~borgoBorgoFindTitleGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.borgoBorgoFindTitleGet = function(title, borgo, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'title' is set
      if (title === undefined || title === null) {
        throw new Error("Missing the required parameter 'title' when calling borgoBorgoFindTitleGet");
      }

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling borgoBorgoFindTitleGet");
      }


      var pathParams = {
        'title': title,
        'borgo': borgo
      };
      var queryParams = {
        'format': opts['format'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/find/{title}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route16 operation.
     * @callback module:api/BorgoborgofindApi~route16Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Ricerca generica
     * @param {String} text Titolo della pagina da ricercare
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina
     * @param {String} opts.off Offset
     * @param {module:model/String} opts.sort Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
     * @param {module:api/BorgoborgofindApi~route16Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route16 = function(text, borgo, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'text' is set
      if (text === undefined || text === null) {
        throw new Error("Missing the required parameter 'text' when calling route16");
      }

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route16");
      }


      var pathParams = {
        'text': text,
        'borgo': borgo
      };
      var queryParams = {
        'limit': opts['limit'],
        'off': opts['off'],
        'sort': opts['sort'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/find/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
