/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Points', 'model/SearchResult'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Points'), require('../model/SearchResult'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.BorgoborgomapApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.Points, root.BuyBorghiMobileServices.SearchResult);
  }
}(this, function(ApiClient, Points, SearchResult) {
  'use strict';

  /**
   * Borgoborgomap service.
   * @module api/BorgoborgomapApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new BorgoborgomapApi. 
   * @alias module:api/BorgoborgomapApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the route22 operation.
     * @callback module:api/BorgoborgomapApi~route22Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Elenco degli Item in un'area data dalle coordinate di input
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {String} lat1 Latitudine inferiore dell'area data
     * @param {String} lon1 Longitudine inferiore dell'area data
     * @param {String} lat2 Latitudine superiore dell'area data
     * @param {String} lon2 Longitudine superiore dell'area data
     * @param {Object} opts Optional parameters
     * @param {module:model/String} opts.sort Ordinamento per data di ultima modifica sort=modifica (default alfabetico)
     * @param {module:api/BorgoborgomapApi~route22Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route22 = function(borgo, lat1, lon1, lat2, lon2, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route22");
      }

      // verify the required parameter 'lat1' is set
      if (lat1 === undefined || lat1 === null) {
        throw new Error("Missing the required parameter 'lat1' when calling route22");
      }

      // verify the required parameter 'lon1' is set
      if (lon1 === undefined || lon1 === null) {
        throw new Error("Missing the required parameter 'lon1' when calling route22");
      }

      // verify the required parameter 'lat2' is set
      if (lat2 === undefined || lat2 === null) {
        throw new Error("Missing the required parameter 'lat2' when calling route22");
      }

      // verify the required parameter 'lon2' is set
      if (lon2 === undefined || lon2 === null) {
        throw new Error("Missing the required parameter 'lon2' when calling route22");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
        'lat1': lat1,
        'lon1': lon1,
        'lat2': lat2,
        'lon2': lon2,
        'sort': opts['sort'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/map/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route23 operation.
     * @callback module:api/BorgoborgomapApi~route23Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Elenco degli Item in un'area data dalla lista di coordinate delle zone che coprono il percorso
     * @param {String} borgo 
     * @param {module:model/Points} body 
     * @param {module:api/BorgoborgomapApi~route23Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route23 = function(borgo, body, callback) {
      var postBody = body;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route23");
      }

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling route23");
      }


      var pathParams = {
        'borgo': borgo
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/map/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
