/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/UserResult'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/UserResult'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.BorgoborgopagesApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.UserResult);
  }
}(this, function(ApiClient, UserResult) {
  'use strict';

  /**
   * Borgoborgopages service.
   * @module api/BorgoborgopagesApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new BorgoborgopagesApi. 
   * @alias module:api/BorgoborgopagesApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the route21 operation.
     * @callback module:api/BorgoborgopagesApi~route21Callback
     * @param {String} error Error message, if any.
     * @param {module:model/UserResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Lista utenti che preferiscono una specifica pagina
     * @param {String} borgo Borgo su cui basare la ricerca
     * @param {String} pageId 
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina (default 5)
     * @param {String} opts.off Offset
     * @param {module:api/BorgoborgopagesApi~route21Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/UserResult}
     */
    this.route21 = function(borgo, pageId, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'borgo' is set
      if (borgo === undefined || borgo === null) {
        throw new Error("Missing the required parameter 'borgo' when calling route21");
      }

      // verify the required parameter 'pageId' is set
      if (pageId === undefined || pageId === null) {
        throw new Error("Missing the required parameter 'pageId' when calling route21");
      }


      var pathParams = {
        'borgo': borgo,
        'pageId': pageId
      };
      var queryParams = {
        'limit': opts['limit'],
        'off': opts['off'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = UserResult;

      return this.apiClient.callApi(
        '/borgo/{borgo}/pages/{pageId}/followers', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
