/*
 * 
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GetTownsCompaniesIdCouponsResponse', 'model/GetTownsCompaniesIdEventsResponse', 'model/GetTownsCompaniesIdResponse', 'model/GetTownsIdCompaniesResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/GetTownsCompaniesIdCouponsResponse'), require('../model/GetTownsCompaniesIdEventsResponse'), require('../model/GetTownsCompaniesIdResponse'), require('../model/GetTownsIdCompaniesResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.SwaggerJsClient) {
      root.SwaggerJsClient = {};
    }
    root.SwaggerJsClient.CompaniesApi = factory(root.SwaggerJsClient.ApiClient, root.SwaggerJsClient.GetTownsCompaniesIdCouponsResponse, root.SwaggerJsClient.GetTownsCompaniesIdEventsResponse, root.SwaggerJsClient.GetTownsCompaniesIdResponse, root.SwaggerJsClient.GetTownsIdCompaniesResponse);
  }
}(this, function(ApiClient, GetTownsCompaniesIdCouponsResponse, GetTownsCompaniesIdEventsResponse, GetTownsCompaniesIdResponse, GetTownsIdCompaniesResponse) {
  'use strict';

  /**
   * Companies service.
   * @module api/CompaniesApi
   * @version 1.0.0
   */

  /**
   * Constructs a new CompaniesApi. 
   * @alias module:api/CompaniesApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the townsTownIdCompaniesCompanyIdCouponsGet operation.
     * @callback module:api/CompaniesApi~townsTownIdCompaniesCompanyIdCouponsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsCompaniesIdCouponsResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get coupons made by the company
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} companyId A unique identifier used to identify the company.
     * @param {module:api/CompaniesApi~townsTownIdCompaniesCompanyIdCouponsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsCompaniesIdCouponsResponse}
     */
    this.townsTownIdCompaniesCompanyIdCouponsGet = function(townId, companyId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCompaniesCompanyIdCouponsGet");
      }

      // verify the required parameter 'companyId' is set
      if (companyId === undefined || companyId === null) {
        throw new Error("Missing the required parameter 'companyId' when calling townsTownIdCompaniesCompanyIdCouponsGet");
      }


      var pathParams = {
        'townId': townId,
        'companyId': companyId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsCompaniesIdCouponsResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/companies/{companyId}/coupons', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdCompaniesCompanyIdEventsGet operation.
     * @callback module:api/CompaniesApi~townsTownIdCompaniesCompanyIdEventsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsCompaniesIdEventsResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get events organized by the company
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} companyId A unique identifier used to identify the company.
     * @param {module:api/CompaniesApi~townsTownIdCompaniesCompanyIdEventsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsCompaniesIdEventsResponse}
     */
    this.townsTownIdCompaniesCompanyIdEventsGet = function(townId, companyId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCompaniesCompanyIdEventsGet");
      }

      // verify the required parameter 'companyId' is set
      if (companyId === undefined || companyId === null) {
        throw new Error("Missing the required parameter 'companyId' when calling townsTownIdCompaniesCompanyIdEventsGet");
      }


      var pathParams = {
        'townId': townId,
        'companyId': companyId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsCompaniesIdEventsResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/companies/{companyId}/events', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdCompaniesCompanyIdGet operation.
     * @callback module:api/CompaniesApi~townsTownIdCompaniesCompanyIdGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsCompaniesIdResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get company's details
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} companyId A unique identifier used to identify the company.
     * @param {module:api/CompaniesApi~townsTownIdCompaniesCompanyIdGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsCompaniesIdResponse}
     */
    this.townsTownIdCompaniesCompanyIdGet = function(townId, companyId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCompaniesCompanyIdGet");
      }

      // verify the required parameter 'companyId' is set
      if (companyId === undefined || companyId === null) {
        throw new Error("Missing the required parameter 'companyId' when calling townsTownIdCompaniesCompanyIdGet");
      }


      var pathParams = {
        'townId': townId,
        'companyId': companyId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsCompaniesIdResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/companies/{companyId}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdCompaniesGet operation.
     * @callback module:api/CompaniesApi~townsTownIdCompaniesGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdCompaniesResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get companies related to the town
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {module:api/CompaniesApi~townsTownIdCompaniesGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdCompaniesResponse}
     */
    this.townsTownIdCompaniesGet = function(townId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCompaniesGet");
      }


      var pathParams = {
        'townId': townId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdCompaniesResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/companies', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
