/*
 * 
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GetTownsCompaniesIdCouponsResponse', 'model/GetTownsIdCouponsIdResponse', 'model/GetTownsIdCouponsResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/GetTownsCompaniesIdCouponsResponse'), require('../model/GetTownsIdCouponsIdResponse'), require('../model/GetTownsIdCouponsResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.SwaggerJsClient) {
      root.SwaggerJsClient = {};
    }
    root.SwaggerJsClient.CouponsApi = factory(root.SwaggerJsClient.ApiClient, root.SwaggerJsClient.GetTownsCompaniesIdCouponsResponse, root.SwaggerJsClient.GetTownsIdCouponsIdResponse, root.SwaggerJsClient.GetTownsIdCouponsResponse);
  }
}(this, function(ApiClient, GetTownsCompaniesIdCouponsResponse, GetTownsIdCouponsIdResponse, GetTownsIdCouponsResponse) {
  'use strict';

  /**
   * Coupons service.
   * @module api/CouponsApi
   * @version 1.0.0
   */

  /**
   * Constructs a new CouponsApi. 
   * @alias module:api/CouponsApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the townsTownIdCompaniesCompanyIdCouponsGet operation.
     * @callback module:api/CouponsApi~townsTownIdCompaniesCompanyIdCouponsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsCompaniesIdCouponsResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get coupons made by the company
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} companyId A unique identifier used to identify the company.
     * @param {module:api/CouponsApi~townsTownIdCompaniesCompanyIdCouponsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsCompaniesIdCouponsResponse}
     */
    this.townsTownIdCompaniesCompanyIdCouponsGet = function(townId, companyId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCompaniesCompanyIdCouponsGet");
      }

      // verify the required parameter 'companyId' is set
      if (companyId === undefined || companyId === null) {
        throw new Error("Missing the required parameter 'companyId' when calling townsTownIdCompaniesCompanyIdCouponsGet");
      }


      var pathParams = {
        'townId': townId,
        'companyId': companyId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsCompaniesIdCouponsResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/companies/{companyId}/coupons', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdCouponsCouponIdGet operation.
     * @callback module:api/CouponsApi~townsTownIdCouponsCouponIdGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdCouponsIdResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get coupons's details
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} couponId A unique identifier used to identify the coupon.
     * @param {module:api/CouponsApi~townsTownIdCouponsCouponIdGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdCouponsIdResponse}
     */
    this.townsTownIdCouponsCouponIdGet = function(townId, couponId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCouponsCouponIdGet");
      }

      // verify the required parameter 'couponId' is set
      if (couponId === undefined || couponId === null) {
        throw new Error("Missing the required parameter 'couponId' when calling townsTownIdCouponsCouponIdGet");
      }


      var pathParams = {
        'townId': townId,
        'couponId': couponId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdCouponsIdResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/coupons/{couponId}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdCouponsGet operation.
     * @callback module:api/CouponsApi~townsTownIdCouponsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdCouponsResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get coupons related to the town
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {module:api/CouponsApi~townsTownIdCouponsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdCouponsResponse}
     */
    this.townsTownIdCouponsGet = function(townId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCouponsGet");
      }


      var pathParams = {
        'townId': townId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdCouponsResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/coupons', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
