/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/SearchResult'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/SearchResult'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.DomainApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.SearchResult);
  }
}(this, function(ApiClient, SearchResult) {
  'use strict';

  /**
   * Domain service.
   * @module api/DomainApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new DomainApi. 
   * @alias module:api/DomainApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the route26 operation.
     * @callback module:api/DomainApi~route26Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * API che ritorna l'elenco delle keyword per gli interessi presenti nella piattaforma
     * @param {Object} opts Optional parameters
     * @param {String} opts.text ricerca per testo
     * @param {module:api/DomainApi~route26Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route26 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'text': opts['text'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/domain/interests', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route27 operation.
     * @callback module:api/DomainApi~route27Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * API che ritorna l'elenco delle keyword per gli le tipologie di impresa presenti nella piattaforma
     * @param {Object} opts Optional parameters
     * @param {String} opts.text ricerca per testo
     * @param {module:api/DomainApi~route27Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route27 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'text': opts['text'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/domain/businessType', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
