/*
 * 
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GetTownsCompaniesIdEventsResponse', 'model/GetTownsIdEventsIdResponse', 'model/GetTownsIdEventsResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/GetTownsCompaniesIdEventsResponse'), require('../model/GetTownsIdEventsIdResponse'), require('../model/GetTownsIdEventsResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.SwaggerJsClient) {
      root.SwaggerJsClient = {};
    }
    root.SwaggerJsClient.EventsApi = factory(root.SwaggerJsClient.ApiClient, root.SwaggerJsClient.GetTownsCompaniesIdEventsResponse, root.SwaggerJsClient.GetTownsIdEventsIdResponse, root.SwaggerJsClient.GetTownsIdEventsResponse);
  }
}(this, function(ApiClient, GetTownsCompaniesIdEventsResponse, GetTownsIdEventsIdResponse, GetTownsIdEventsResponse) {
  'use strict';

  /**
   * Events service.
   * @module api/EventsApi
   * @version 1.0.0
   */

  /**
   * Constructs a new EventsApi. 
   * @alias module:api/EventsApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the townsTownIdCompaniesCompanyIdEventsGet operation.
     * @callback module:api/EventsApi~townsTownIdCompaniesCompanyIdEventsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsCompaniesIdEventsResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get events organized by the company
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} companyId A unique identifier used to identify the company.
     * @param {module:api/EventsApi~townsTownIdCompaniesCompanyIdEventsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsCompaniesIdEventsResponse}
     */
    this.townsTownIdCompaniesCompanyIdEventsGet = function(townId, companyId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdCompaniesCompanyIdEventsGet");
      }

      // verify the required parameter 'companyId' is set
      if (companyId === undefined || companyId === null) {
        throw new Error("Missing the required parameter 'companyId' when calling townsTownIdCompaniesCompanyIdEventsGet");
      }


      var pathParams = {
        'townId': townId,
        'companyId': companyId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsCompaniesIdEventsResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/companies/{companyId}/events', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdEventsEventIdGet operation.
     * @callback module:api/EventsApi~townsTownIdEventsEventIdGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdEventsIdResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get event's details
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} eventId A unique identifier used to identify the event.
     * @param {module:api/EventsApi~townsTownIdEventsEventIdGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdEventsIdResponse}
     */
    this.townsTownIdEventsEventIdGet = function(townId, eventId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdEventsEventIdGet");
      }

      // verify the required parameter 'eventId' is set
      if (eventId === undefined || eventId === null) {
        throw new Error("Missing the required parameter 'eventId' when calling townsTownIdEventsEventIdGet");
      }


      var pathParams = {
        'townId': townId,
        'eventId': eventId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdEventsIdResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/events/{eventId}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdEventsGet operation.
     * @callback module:api/EventsApi~townsTownIdEventsGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdEventsResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get events related to the town
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {module:api/EventsApi~townsTownIdEventsGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdEventsResponse}
     */
    this.townsTownIdEventsGet = function(townId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdEventsGet");
      }


      var pathParams = {
        'townId': townId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdEventsResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/events', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
