/*
 * 
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GetTownsIdHistoricalInfosResponse', 'model/GetTownsIdInstitutionalInfosResponse', 'model/PostReportRequest'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/GetTownsIdHistoricalInfosResponse'), require('../model/GetTownsIdInstitutionalInfosResponse'), require('../model/PostReportRequest'));
  } else {
    // Browser globals (root is window)
    if (!root.SwaggerJsClient) {
      root.SwaggerJsClient = {};
    }
    root.SwaggerJsClient.InfoApi = factory(root.SwaggerJsClient.ApiClient, root.SwaggerJsClient.GetTownsIdHistoricalInfosResponse, root.SwaggerJsClient.GetTownsIdInstitutionalInfosResponse, root.SwaggerJsClient.PostReportRequest);
  }
}(this, function(ApiClient, GetTownsIdHistoricalInfosResponse, GetTownsIdInstitutionalInfosResponse, PostReportRequest) {
  'use strict';

  /**
   * Info service.
   * @module api/InfoApi
   * @version 1.0.0
   */

  /**
   * Constructs a new InfoApi. 
   * @alias module:api/InfoApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the helpGet operation.
     * @callback module:api/InfoApi~helpGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/PostReportRequest} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Send general informations, contacts and FAQ
     * 
     * @param {module:api/InfoApi~helpGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/PostReportRequest}
     */
    this.helpGet = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = PostReportRequest;

      return this.apiClient.callApi(
        '/help', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdHistoricalInfosGet operation.
     * @callback module:api/InfoApi~townsTownIdHistoricalInfosGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdHistoricalInfosResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get historical informations about the town
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {module:api/InfoApi~townsTownIdHistoricalInfosGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdHistoricalInfosResponse}
     */
    this.townsTownIdHistoricalInfosGet = function(townId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdHistoricalInfosGet");
      }


      var pathParams = {
        'townId': townId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdHistoricalInfosResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/historicalInfos', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdInstitutionalInfosGet operation.
     * @callback module:api/InfoApi~townsTownIdInstitutionalInfosGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdInstitutionalInfosResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get institutional informations about the town
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {module:api/InfoApi~townsTownIdInstitutionalInfosGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdInstitutionalInfosResponse}
     */
    this.townsTownIdInstitutionalInfosGet = function(townId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdInstitutionalInfosGet");
      }


      var pathParams = {
        'townId': townId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdInstitutionalInfosResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/institutionalInfos', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
