/*
 * BuyBorghiMobile Services
 * BuyBorghi Mobile API
 *
 * OpenAPI spec version: 1.0.0-SNAPSHOT
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Message', 'model/MessageResp', 'model/MsgResult', 'model/ReadMsg', 'model/RemoveMsg', 'model/SearchResult'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Message'), require('../model/MessageResp'), require('../model/MsgResult'), require('../model/ReadMsg'), require('../model/RemoveMsg'), require('../model/SearchResult'));
  } else {
    // Browser globals (root is window)
    if (!root.BuyBorghiMobileServices) {
      root.BuyBorghiMobileServices = {};
    }
    root.BuyBorghiMobileServices.MsgApi = factory(root.BuyBorghiMobileServices.ApiClient, root.BuyBorghiMobileServices.Message, root.BuyBorghiMobileServices.MessageResp, root.BuyBorghiMobileServices.MsgResult, root.BuyBorghiMobileServices.ReadMsg, root.BuyBorghiMobileServices.RemoveMsg, root.BuyBorghiMobileServices.SearchResult);
  }
}(this, function(ApiClient, Message, MessageResp, MsgResult, ReadMsg, RemoveMsg, SearchResult) {
  'use strict';

  /**
   * Msg service.
   * @module api/MsgApi
   * @version 1.0.0-SNAPSHOT
   */

  /**
   * Constructs a new MsgApi. 
   * @alias module:api/MsgApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the msgBroadcastPost operation.
     * @callback module:api/MsgApi~msgBroadcastPostCallback
     * @param {String} error Error message, if any.
     * @param {module:model/MsgResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Invio messaggio in broadcast a tutti coloro che hanno preferito la pagina
     * @param {module:model/Message} body TEXT: 'testo da inviare' | FROM: 'nomePagina'
     * @param {module:api/MsgApi~msgBroadcastPostCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/MsgResult}
     */
    this.msgBroadcastPost = function(body, callback) {
      var postBody = body;

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling msgBroadcastPost");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = MsgResult;

      return this.apiClient.callApi(
        '/msg/broadcast', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the msgBroadcastTitleGet operation.
     * @callback module:api/MsgApi~msgBroadcastTitleGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/MsgResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Lista dei messaggi di broadcast inviati dall'utente
     * @param {String} title Titolo della pagina da cui i messaggi di broadcast sono stati inviati
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina (default 10)
     * @param {String} opts.off Offset
     * @param {module:api/MsgApi~msgBroadcastTitleGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/MsgResult}
     */
    this.msgBroadcastTitleGet = function(title, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'title' is set
      if (title === undefined || title === null) {
        throw new Error("Missing the required parameter 'title' when calling msgBroadcastTitleGet");
      }


      var pathParams = {
        'title': title
      };
      var queryParams = {
        'limit': opts['limit'],
        'off': opts['off'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = MsgResult;

      return this.apiClient.callApi(
        '/msg/broadcast/{title}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the msgIdChatGet operation.
     * @callback module:api/MsgApi~msgIdChatGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/MessageResp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Lista dei messaggi di una conversazione dell'utente
     * @param {String} idChat Ricerca per identificativo della conversazione: 3 lettere + 32 cifre esadecimali (da 0 a f) generato dal client nella POST msg
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina (default 10)
     * @param {String} opts.off Offset
     * @param {String} opts.timestamp Tutti i messaggi scambiati nella chat dopo un determinato timestamp
     * @param {module:api/MsgApi~msgIdChatGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/MessageResp}
     */
    this.msgIdChatGet = function(idChat, opts, callback) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'idChat' is set
      if (idChat === undefined || idChat === null) {
        throw new Error("Missing the required parameter 'idChat' when calling msgIdChatGet");
      }


      var pathParams = {
        'idChat': idChat
      };
      var queryParams = {
        'limit': opts['limit'],
        'off': opts['off'],
        'timestamp': opts['timestamp'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = MessageResp;

      return this.apiClient.callApi(
        '/msg/{idChat}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the msgUnreadGet operation.
     * @callback module:api/MsgApi~msgUnreadGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/MsgResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Numero di messaggi non letti
     * @param {Object} opts Optional parameters
     * @param {String} opts.from Numero di messaggi non letti per l'utente loggato o per una delle pagine che l'utente loggato gestisce.FILTER: 'Utente:nomeUtente' o 'nomePagina'
     * @param {module:api/MsgApi~msgUnreadGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/MsgResult}
     */
    this.msgUnreadGet = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'from': opts['from'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = MsgResult;

      return this.apiClient.callApi(
        '/msg/unread', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route34 operation.
     * @callback module:api/MsgApi~route34Callback
     * @param {String} error Error message, if any.
     * @param {module:model/MessageResp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Marca messaggio come gia' letto da parte dell'utente
     * @param {module:model/ReadMsg} body TIMESTAMP: 'numerico che identifica univocamente il messaggio (ricavato dalla GET msg)'  | TEXT: 'testo del messaggio da marcare come letto'
     * @param {module:api/MsgApi~route34Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/MessageResp}
     */
    this.route34 = function(body, callback) {
      var postBody = body;

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling route34");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = MessageResp;

      return this.apiClient.callApi(
        '/msg/', 'PUT',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route35 operation.
     * @callback module:api/MsgApi~route35Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Rimuove una conversazione
     * @param {String} idChat Ricerca per identificativo della conversazione: 3 lettere + 32 cifre esadecimali (da 0 a f) generato dal client nella POST msg
     * @param {module:model/RemoveMsg} body 
     * @param {module:api/MsgApi~route35Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route35 = function(idChat, body, callback) {
      var postBody = body;

      // verify the required parameter 'idChat' is set
      if (idChat === undefined || idChat === null) {
        throw new Error("Missing the required parameter 'idChat' when calling route35");
      }

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling route35");
      }


      var pathParams = {
        'idChat': idChat
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/msg/{idChat}', 'DELETE',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route36 operation.
     * @callback module:api/MsgApi~route36Callback
     * @param {String} error Error message, if any.
     * @param {module:model/SearchResult} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Invio messaggio da parte dell'utente
     * @param {module:model/Message} body TEXT: 'testo da inviare' | FROM: 'nomeUtente' o 'nomePagina' | TO: 'Utente:nomeUtente' o 'nomePagina' | IDCHAT: '3 lettere + 32 cifre esadecimali (da 0 a f) generato dal client'
     * @param {module:api/MsgApi~route36Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/SearchResult}
     */
    this.route36 = function(body, callback) {
      var postBody = body;

      // verify the required parameter 'body' is set
      if (body === undefined || body === null) {
        throw new Error("Missing the required parameter 'body' when calling route36");
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = SearchResult;

      return this.apiClient.callApi(
        '/msg/', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the route37 operation.
     * @callback module:api/MsgApi~route37Callback
     * @param {String} error Error message, if any.
     * @param {module:model/MessageResp} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Lista delle conversazioni dell'utente
     * @param {Object} opts Optional parameters
     * @param {String} opts.limit Limite risultati per pagina (default 10)
     * @param {String} opts.off Offset
     * @param {String} opts.filter Elenco conversazioni per l'utente loggato o per una delle pagine che l'utente loggato gestisce.Non considerato se idChat valorizzato. | FILTER: 'Utente:nomeUtente' o 'nomePagina'
     * @param {module:api/MsgApi~route37Callback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/MessageResp}
     */
    this.route37 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'limit': opts['limit'],
        'off': opts['off'],
        'filter': opts['filter'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json'];
      var accepts = ['application/json'];
      var returnType = MessageResp;

      return this.apiClient.callApi(
        '/msg/', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
