/*
 * 
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GetTownsIdPlacesIdResponse', 'model/GetTownsIdPlacesResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/GetTownsIdPlacesIdResponse'), require('../model/GetTownsIdPlacesResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.SwaggerJsClient) {
      root.SwaggerJsClient = {};
    }
    root.SwaggerJsClient.PlacesApi = factory(root.SwaggerJsClient.ApiClient, root.SwaggerJsClient.GetTownsIdPlacesIdResponse, root.SwaggerJsClient.GetTownsIdPlacesResponse);
  }
}(this, function(ApiClient, GetTownsIdPlacesIdResponse, GetTownsIdPlacesResponse) {
  'use strict';

  /**
   * Places service.
   * @module api/PlacesApi
   * @version 1.0.0
   */

  /**
   * Constructs a new PlacesApi. 
   * @alias module:api/PlacesApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the townsTownIdPlacesGet operation.
     * @callback module:api/PlacesApi~townsTownIdPlacesGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdPlacesResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get places related to the town
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {module:api/PlacesApi~townsTownIdPlacesGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdPlacesResponse}
     */
    this.townsTownIdPlacesGet = function(townId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdPlacesGet");
      }


      var pathParams = {
        'townId': townId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdPlacesResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/places', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the townsTownIdPlacesPlaceIdGet operation.
     * @callback module:api/PlacesApi~townsTownIdPlacesPlaceIdGetCallback
     * @param {String} error Error message, if any.
     * @param {module:model/GetTownsIdPlacesIdResponse} data The data returned by the service call.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Get event's details
     * 
     * @param {String} townId A unique identifier used to identify the town.
     * @param {String} placeId A unique identifier used to identify the place.
     * @param {module:api/PlacesApi~townsTownIdPlacesPlaceIdGetCallback} callback The callback function, accepting three arguments: error, data, response
     * data is of type: {@link module:model/GetTownsIdPlacesIdResponse}
     */
    this.townsTownIdPlacesPlaceIdGet = function(townId, placeId, callback) {
      var postBody = null;

      // verify the required parameter 'townId' is set
      if (townId === undefined || townId === null) {
        throw new Error("Missing the required parameter 'townId' when calling townsTownIdPlacesPlaceIdGet");
      }

      // verify the required parameter 'placeId' is set
      if (placeId === undefined || placeId === null) {
        throw new Error("Missing the required parameter 'placeId' when calling townsTownIdPlacesPlaceIdGet");
      }


      var pathParams = {
        'townId': townId,
        'placeId': placeId
      };
      var queryParams = {
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json'];
      var returnType = GetTownsIdPlacesIdResponse;

      return this.apiClient.callApi(
        '/towns/{townId}/places/{placeId}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
